Index: chan_ooh323.c
===================================================================
--- chan_ooh323.c	(revision 902)
+++ chan_ooh323.c	(working copy)
@@ -427,7 +427,7 @@
 	struct ooh323_peer *peer = NULL;
 	char *dest = NULL; 
 	char *ext = NULL;
-	char tmp[256];
+	char *data_copy = NULL;
 	char formats[512];
 	int oldformat;
 	int port = 0;
@@ -455,20 +455,20 @@
 	/* This is an outgoing call, since ooh323_request is called */
 	ast_set_flag(p, H323_OUTGOING);
 
-	ast_copy_string(tmp, data, sizeof(data));
+	data_copy = ast_strdupa((char *) data);
 
-	dest = strchr(tmp, '/');
+	dest = strchr(data_copy, '/');
 
 	if (dest) {  
 		*dest = '\0';
 		dest++;
-		ext = tmp;
-	} else if ((dest = strchr(tmp, '@'))) {
+		ext = data_copy;
+	} else if ((dest = strchr(data_copy, '@'))) {
 		*dest = '\0';
 		dest++;
-		ext = tmp;
+		ext = data_copy;
 	} else {
-		dest = tmp;
+		dest = data_copy;
 		ext = NULL;
 	}
 
